StandardContextSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StandardContextSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StandardContextSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.StandardContextSF

All Implemented Interfaces:
  IStoreFactory

public class StandardContextSF
extends StoreFactoryBase

Store server.xml Context element with all childs

- Store all context at server.xml
- Store existing app.xml context a conf/enginename/hostname/app.xml
- Store with backup

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`StandardContextSF()`

Method Summary
`protected java.io.File` | `configBase(Context context)` Return a File object representing the "configuration root" directory for our associated Host.
`protected java.lang.String[]` | `filterWatchedResources(StandardContext context, java.lang.String[] wresources)` filter out the default watched resources
`protected StoreFileMover` | `getConfigFileWriter(Context context)` Get explicit writer for context (context.getConfigFile()).
`void` | `store(java.io.PrintWriter aWriter, int indent, java.lang.Object aContext)`
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aContext, StoreDescription parentDesc)` Store the specified Host properties.
`protected void` | `storeContextSeparate(java.io.PrintWriter aWriter, int indent, StandardContext aContext)` Store a Context without backup add separate file or when configFile = null a aWriter.
`protected void` | `storeWithBackup(StandardContext aContext)` Store the Context with a Backup

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardContextSF

    public StandardContextSF()

Method Detail

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aContext)
               throws java.lang.Exception

  Specified by:
    `store` in interface `IStoreFactory`
  Overrides:
    `store` in class `StoreFactoryBase`
  Throws:
    `java.lang.Exception`

### storeContextSeparate

    protected void storeContextSeparate(java.io.PrintWriter aWriter,
                                        int indent,
                                        StandardContext aContext)
                                 throws java.lang.Exception

  Store a Context without backup add separate file or when configFile = null a aWriter.

  Parameters:
    `aWriter` -
    `indent` -
    `aContext` -
  Throws:
    `java.lang.Exception`

### storeWithBackup

    protected void storeWithBackup(StandardContext aContext)
                            throws java.lang.Exception

  Store the Context with a Backup

  Parameters:
    `aContext` -
  Throws:
    `java.lang.Exception`

### getConfigFileWriter

    protected StoreFileMover getConfigFileWriter(Context context)
                                          throws java.io.IOException

  Get explicit writer for context (context.getConfigFile()).

  Parameters:
    `context` -
  Returns:
    The file mover
  Throws:
    `java.io.IOException`

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aContext,
                            StoreDescription parentDesc)
                     throws java.lang.Exception

  Store the specified Host properties.

  Overrides:
    `storeChilds` in class `StoreFactoryBase`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aContext` - Context whose properties are being stored
    `parentDesc` -
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### configBase

    protected java.io.File configBase(Context context)

  Return a File object representing the "configuration root" directory for our associated Host.

### filterWatchedResources

    protected java.lang.String[] filterWatchedResources(StandardContext context,
                                                        java.lang.String[] wresources)
                                                 throws java.io.IOException

  filter out the default watched resources

  Parameters:
    `context` -
    `wresources` -
  Returns:
    The watched resources
  Throws:
    `java.io.IOException` - TODO relative watchedresource TODO absolute handling configFile TODO Filename case handling for Windows? TODO digester variable subsitution $catalina.base, $catalina.home

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.